## joe 3.7-1-maemo1

=== debian/changelog ===
joe (3.7-1-maemo1) unstable; urgency=low

  * adaptet for Maemo 5 fremantle	

 -- Klaus Rotter <klaus@rotters.de>  Fry, 05 Mar 2010 21:43:31 +0100

joe (3.7-1) unstable; urgency=low

  * New upstream version, closes: #504122, #504439.
    (Thanks to Jari Aalto for all the help with the BTS.)
    + jstar is now able to set the left margin to 1, closes: #386883.
    + Preserves timestamps of backup files once again, closes: #356267.
    + Non-French sentence/paragraph spacing rules are now working properly,
      closes: #389410.
    + The French input (o) to the yes query now works (but thanks to
      Jari Aalto for the alternative patch anyway), closes: #402565.
    + Should now separate the interface locale from the input locale
      (although I still had to forward-port my patch which unbreaks
      langinfo.h CODESET detection), closes: #453310.
    + Can now work with files/directories whose names begin with "!",
      provided that they are doubly-escaped, closes: #163628.
    + Can now work with files/directories whose names include "\",
      provided that they are doubly-escaped, closes: 204449.
    + Option -guess-indent no longer breaks -istep, closes: #430565.
    + %a/%A fields in the status bar now work on (multibyte) chars,
      closes: #443181.
    + syntax/css.jsf no longer forces bold white on keywords, just bold,
      closes: #414245.
    + Improved Emacs keybindings in the find/replace query, closes: #440158.
    + syntax/lua.jsf no longer has a syntax error on line 183,
      closes: #505489.

 -- Josip Rodin <joy-packages@debian.org>  Sat, 06 Dec 2008 16:08:31 +0100

joe (3.5-2) unstable; urgency=low

  * (Includes the NMU patch for emptiness in execmd.)
  * Fixed crash when file can't be written to (due to lack of disk space
    or being over quota), patch by Benjamin Mesing, closes: #103820.
  * Fixed CHARSET detection to use the fine system function rather than
    internal workaround, noticed by Chris Brown, closes: #408562.
  * Stop highlighting '$foo' in PHP, patch by Sam Penny, extended by me to
    also remove var_insqstring because it's an orphan now, closes: #469840.
  * Replaced the utterly broken de.po with Jan Engelhardt's version
    from the upstream tracker item 1629477, closes: #455503.

 -- Josip Rodin <joy-packages@debian.org>  Sat, 31 May 2008 19:00:58 +0200

joe (3.5-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Fix Segfault when using execmd with empty command 
    (closes: #392077)

 -- Bas Zoetekouw <bas@debian.org>  Wed, 18 Oct 2006 20:47:22 +0200

joe (3.5-1) unstable; urgency=low

  * New upstream version.
    + configure.ac now includes header check for term.h, dropped that patch
    + types.h now conditionally includes unistd.h, and is included
      everywhere else, dropped those patches
    + termcap.c now includes term.h properly, dropped that patch
    + There is no longer a default replace string set from history,
      closes: #363460.
    + Display of repeated search string now shows \, closes: #363345.
    + Warning about ignore/steal/quit on vfat is gone, closes: #364493.
    + Perl syntax highlighting now handles $`, closes: #261352.
    + Python syntax highlighting now handles the '+comment+multiline
      docstring, closes: #252643.
    + Diff syntax highlighting now handles the minus cases properly,
      though not with the exact patch by Darren Salt, closes: #258434.
    + Shell syntax highlighting now handles HERE docs, closes: #284393.
  * Stop shipping fixed /etc/joe/editorrc and instead add all our versions
    as alternatives to it. Unfortunately it doesn't work as a slave
    alternative to the main editor alternative, but this is as close
    as it can get, closes: #269334.
  * Updated conffiles list, fixed typo in old changelog ("urgence"),
    removed FSF address from copyright file, moved menu entry to /usr/share,
    compressed ru manual page, upped the standards version to 3.7.2.

 -- Josip Rodin <joy-packages@debian.org>  Thu, 21 Sep 2006 00:37:33 +0200

joe (3.3-5) unstable; urgency=medium

  * Gah, HAVE_TERM_H was missing from autoconf configuration.
  * Included utils.h in i18n.c so that joe_malloc is picked up.

 -- Josip Rodin <joy-packages@debian.org>  Tue,  4 Apr 2006 12:32:50 +0200

joe (3.3-4) unstable; urgency=medium

  * Included a few more headers in order to avoid the broken casts on
    architectures where getenv and malloc aren't the same as on ix86,
    hopefully closes: #360666.

 -- Josip Rodin <joy-packages@debian.org>  Tue,  4 Apr 2006 11:58:27 +0200

joe (3.3-3) unstable; urgency=low

  * Added the actual inclusion of <term.h> after the check for HAVE_TERM_H
    in termcap.c, d'oh, thanks to Peter Troeger, closes: #252934.
  * Added the #ifdef HAVE_STDLIB_H\n#include <stdlib.h>\n#endif sequence
    wherever malloc is used, thanks to Tomas Kalibera, closes: #291267.
  * Better documented some frequently asked questions, closes: #284142
    and further alleviates #219914.

 -- Josip Rodin <joy-packages@debian.org>  Mon,  3 Apr 2006 01:32:08 +0200

joe (3.3-2) unstable; urgency=low

  * Updated conffiles, dropped non-existent INFO file, dropped the doc
    directory from /etc/joe (?!).

 -- Josip Rodin <joy-packages@debian.org>  Sun, 12 Feb 2006 19:57:13 +0100

joe (3.3-1) unstable; urgency=low

  * New upstream version, closes: #348389.
  * No longer lacks the initialization of a file descriptor in the charset
    reading function, so it no longer crashes because of empty $HOME,
    closes: #349257.

 -- Josip Rodin <joy-packages@debian.org>  Sun, 12 Feb 2006 19:39:51 +0100

joe (3.1-0.2) unstable; urgency=high

  * NMU (urgency set to high since this breaks upgrades)
  * Changed 'command -v' to the '-x' (as suggested by update-menu's
    documentaiton) since if joe is upgraded together with menu 
    update-menus is not guaranteed to be executable. Actually,
    this is prevented so that update-menus is only run once in the upgrade

