=== debian/control ===
Source: joe
Section: editors
Priority: optional
Maintainer: Klaus Rotter <klaus@rotters.de>
Build-Depends: libncurses-dev
Standards-Version: 3.7.2

Package: joe
Architecture: any
Depends: ${shlibs:Depends}
Description: user friendly full screen text editor
 Joe, the Joe's Own Editor, has the feel of most PC text editors: the key
 sequences are reminiscent of WordStar and Turbo C editors, but the feature
 set is much larger than of those.  Joe has all of the features a Unix
 user should expect: full use of termcap/terminfo, complete VI-style Unix
 integration, a powerful configuration file, and regular expression search
 system.  It also has six help reference cards which are always available,
 and an intuitive, simple, and well thought-out user interface.
 .
 Joe has a great screen update optimization algorithm, multiple windows
 (through/between which you can scroll) and lacks the confusing notion of
 named buffers.  It has command history, TAB expansion in file selection
 menus, undo and redo functions, (un)indenting and paragraph formatting,
 filtering highlighted blocks through any external Unix command, editing
 a pipe into or out of a command, and block move, copy, delete or filter.
 .
 Through simple QEdit-style configuration files, Joe can be set up to
 emulate editors such as Pico and Emacs, along with a complete imitation
 of WordStar, and a restricted mode version (lets you edit only the files
 specified on the command line).  Joe also has a deferred screen update to
 handle typeahead, and it ensures that deferral is not bypassed by tty
 buffering.  It's usable even at 2400 baud, and it will work on any
 kind of sane terminal.
