=== debian/rules ===
#!/usr/bin/make -f

tmp := $(CURDIR)/debian/joe
docdir := $(tmp)/usr/share/doc/joe

CFLAGS := -g
ifeq "$(findstring noopt,$(DEB_BUILD_OPTIONS))" ""
CFLAGS += -O2
endif

build: config.status joe

config.status: configure
	CFLAGS="$(CFLAGS)" ./configure --sysconfdir=/etc --prefix=/usr \
          --mandir='$${datadir}/man'

joe: main.c
	$(MAKE)

clean: checkroot
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf $(tmp) debian/*~ debian/substvars* debian/files*

install: build checkroot
	rm -rf $(tmp)
	$(MAKE) DESTDIR=$(tmp) install
ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""
	strip --remove-section=.comment --remove-section=.note $(tmp)/usr/bin/joe
endif
	rm -f $(tmp)/usr/bin/termidx
	gzip -9 $(tmp)/usr/share/man/man1/joe.1
	gzip -9 $(tmp)/usr/share/man/ru/man1/joe.1
	for i in jmacs jstar rjoe jpico; do \
          ln -s joe.1.gz $(tmp)/usr/share/man/man1/$$i.1.gz; \
        done

binary: binary-indep binary-arch

binary-indep:

binary-arch: install
	install -m 755 -d $(tmp)/usr/share/doc/joe
	for doc in README LIST TODO NEWS; do \
          gzip -9c $$doc >$(tmp)/usr/share/doc/joe/$$doc.gz; \
        done
	rm -rf $(tmp)/etc/joe/doc
	gzip -9c debian/changelog > $(tmp)/usr/share/doc/joe/changelog.Debian.gz
	gzip -9c ChangeLog > $(tmp)/usr/share/doc/joe/changelog.gz
	install -m 644 debian/help.pl.txt $(tmp)/usr/share/doc/joe/
	install -m 644 debian/copyright debian/README.Debian $(tmp)/usr/share/doc/joe
	install -m 755 -d $(tmp)/DEBIAN
	install -m 644 debian/conffiles $(tmp)/DEBIAN
	install -m 755 debian/postinst debian/prerm debian/postrm $(tmp)/DEBIAN
	install -m 755 -d $(tmp)/usr/share/menu
	install -m 644 debian/menu $(tmp)/usr/share/menu/joe
	dpkg-shlibdeps $(tmp)/usr/bin/joe
	dpkg-gencontrol -P$(tmp) -isp
	chown -R root.root $(tmp)
	chmod -R go=rX,u+rw,a-s $(tmp)
	dpkg-deb --build $(tmp) ..

checkroot: debian/rules
	test "`id -u`" -eq "0"
