## joe 4.1

=== debian/changelog ===
joe (4.1-2) unstable; urgency=low

  * Include a debian/compat file so that dh_autoreconf doesn't think
    we want a compatibility level of 1 which is unsupported.
    AFAICT none of the levels ever affect that program, yet it started
    insisting on it. Oh well.
  * Add build-{arch,indep} into debian/rules, update joe built binary path.

 -- Josip Rodin <joy-packages@debian.org>  Sun, 31 Jan 2016 20:44:02 +0100

joe (4.1-1) unstable; urgency=low

  * New upstream release.
    + Drop obsolete/integrated patches to
      main.c, uformat.c, rc/ftyperc, syntax/php.jsf.in
    + Update main.c location in rules to use new joe/ subdir
    + Mark three new files as conffiles in /etc/joe.
    + Drop the manual installation of documentation files, upstream
      automake rules have been installing them for a while now,
      thanks to Adam Borowski, closes: #796123
    + Includes upstream fix for search&replace getting stuck on
      zero-width regex, thanks to Alexey Spiridonov, closes: #745557
    + Includes upstream fix for Lua syntax highlighting getting stuck,
      thanks to Alexey Spiridonov, closes: #745558
    + Includes upstream fix for PHP syntax highlighting missing ternary
      operator without spacing, closes: #588525
    + Includes upstream fix to stop complaining about old ~/.joerc,
      closes: #560182
    + Includes upstream fixes for default indentation: it moved from
      2 spaces to 4 spaces by default, but the Ctrl+T menu now has options
      to make it even more trivial to change to tab or 8 spaces or whatever
      other combination (in addition to existing joerc options),
      closes: #343462
    + Includes upstream fixes for paragraph reformatting with very long
      words, thanks to Diego Roversi, closes: #549276
  * Upgrade source format to 3.0 (quilt):
    + Move rc/jstarrc.in patch to patches/001_jstarrc_overtype.patch
    + Move syntax/main.jsf.in patch to patches/002_mail_jsf_ugly.patch
    + Make the utf8.c patch apply to joe/charmap.c and move it to
      patches/003_setlocale_codeset.patch
    + Restore original config.{guess,sub} on clean so that the build doesn't
      fail, by way of actually calling the dh_autoreconf* helpers whose
      package we depend on anyway, but integrated properly into the makefile,
      thanks to Wookey and Breno Leitao, closes: 752020

 -- Josip Rodin <joy-packages@debian.org>  Sun, 31 Jan 2016 16:28:12 +0100

joe (3.7-2.4) unstable; urgency=low

  * Non-maintainer upload.
  * Use autotools-dev in build to support new architectures (Closes: #748836)

 -- Chen Baozi <baozich@gmail.com>  Thu, 05 Jun 2014 16:10:42 +0800

joe (3.7-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Also drop an old editorrc alternative if this package has never
    been configured before (see #644481).
  * Update version numbers for the joe/jupp conflicts.

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 06 Oct 2011 08:58:39 +0000

joe (3.7-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Really install the preinst maintainer script this time.
    closes: #644468

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 06 Oct 2011 08:06:10 +0000

joe (3.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Improve coexistence of joe and jupp: move the editorrc symlink
    to /var/lib/misc/editorrc and make it an update-alternatives
    slave to editor (agreed by Raphaël Hertzog, Josip Rodin).
    closes: #644282

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 05 Oct 2011 20:29:50 +0000

joe (3.7-2) unstable; urgency=high

  * Fix the crash when typing too many dashes on a line, d'oh,
    cherry-picked upstream CVS fix for uformat.c by Joseph Allen, and
    fixed that in turn to actually assign the value of x to orgx, silly,
    closes: #508159.
  * Fix the various segfaults when called with more than one file, d'oh.
    Thanks to Oyvind Aabling for a patch, but actually it seems that
    this was a copy&waste error that crept up into the 3.7 tarball yet
    was coded properly in CVS (main.c r1.79), so simply used that line
    from the CVS version, closes: #514512.
  * Fix the Ins key for jstar users by replacing the obsolete marker
    "overtype" with "overwrite" in rc/jstarrc.in, thanks to Adam Borowski,
    closes: #508797.
  * Fix the matching of python<numbered> interpreters in rc/ftyperc,
    thanks to Piotr Engelking, closes: #549277.
  * Undo the mail formatting horror by reverting to the 3.5-2 (lenny)
    version of syntax/mail.jsf.in. Neither the upstream commits nor the
    NEWS file really explain the benefits of the new stuff, I only see
    the bugs and all the excess red that's making me nauseous, too,
    closes: #597825.
  * Update standards version to 3.9.1.
    + Update menu section from Apps/Editors to Applications/Editors. (3.7.3)
    + Add Homepage field. (3.8.0)
  * Declare 1.0 in debian/source/format explicitly.

 -- Josip Rodin <joy-packages@debian.org>  Sat, 13 Nov 2010 21:38:30 +0100
