=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: joe
 Section: editors
 Priority: optional
-Maintainer: Klaus Rotter <klaus@rotters.de>
-Build-Depends: libncurses-dev
-Standards-Version: 3.7.2
+Maintainer: Josip Rodin <joy-packages@debian.org>
+Build-Depends: libncurses-dev, dh-autoreconf
+Standards-Version: 3.9.1
+Homepage: http://joe-editor.sourceforge.net/
 
 Package: joe
 Architecture: any
 Depends: ${shlibs:Depends}
+Breaks: jupp (<< 3.1.18-2~)
 Description: user friendly full screen text editor
  Joe, the Joe's Own Editor, has the feel of most PC text editors: the key
  sequences are reminiscent of WordStar and Turbo C editors, but the feature
