=== debian/rules ===
--- 
+++ 
@@ -8,18 +8,25 @@
 CFLAGS += -O2
 endif
 
-build: config.status joe
+build: build-indep build-arch
 
-config.status: configure
+build-indep:
+
+build-arch: config.status joe/joe
+
+config.status:
+	dh_autoreconf
 	CFLAGS="$(CFLAGS)" ./configure --sysconfdir=/etc --prefix=/usr \
           --mandir='$${datadir}/man'
 
-joe: main.c
+joe/joe: joe/main.c
 	$(MAKE)
 
 clean: checkroot
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -rf $(tmp) debian/*~ debian/substvars* debian/files*
+	dh_autoreconf_clean
+	rm -f debian/*debhelper.log
 
 install: build checkroot
 	rm -rf $(tmp)
@@ -40,7 +47,7 @@
 
 binary-arch: install
 	install -m 755 -d $(tmp)/usr/share/doc/joe
-	for doc in README LIST TODO NEWS; do \
+	for doc in README.md NEWS.md; do \
           gzip -9c $$doc >$(tmp)/usr/share/doc/joe/$$doc.gz; \
         done
 	rm -rf $(tmp)/etc/joe/doc
@@ -50,7 +57,7 @@
 	install -m 644 debian/copyright debian/README.Debian $(tmp)/usr/share/doc/joe
 	install -m 755 -d $(tmp)/DEBIAN
 	install -m 644 debian/conffiles $(tmp)/DEBIAN
-	install -m 755 debian/postinst debian/prerm debian/postrm $(tmp)/DEBIAN
+	install -m 755 debian/preinst debian/postinst debian/prerm debian/postrm $(tmp)/DEBIAN
 	install -m 755 -d $(tmp)/usr/share/menu
 	install -m 644 debian/menu $(tmp)/usr/share/menu/joe
 	dpkg-shlibdeps $(tmp)/usr/bin/joe
