## joe 4.4

=== debian/changelog ===
joe (4.4-1) unstable; urgency=medium

  * New upstream version, mainly bug fixes, including our:
    + Fixes segfaults on lines with many backslashes, closes: #847931.
    + Fixes classification of Unicode private characters, thanks to
      Adam Borowski, closes: #822074.
    + Fixes syntax highlighting of PHP variables in strings, closes: #488118.
  * Make sure gzip calls ignore timestamps in order for the build to be
    reproducible, thanks to Chris Lamb, closes: #777726.
  * Pass variables relevant to cross-compiles and use tripled-prefixed strip(1),
    thanks to Helmut Grohne, closes: #844289.
  * Updated standards version to 3.9.6.
    + Make the copyright file machine-parsable (format 1.0).
      Update from current source, drop obsolete BSD part.
    + Document upstream source code repository in Vcs-Browser and Vcs-Hg
      control fields.
    + NB: no provision for obsolete conffiles at this point.
  * Stop manually installing redundant copies of some of the docs now that
    upstream makefiles do it.
  * Use dpkg-buildflags through dpkg-dev's makefile snippet (reported by
    Lintian).

 -- Josip Rodin <joy-packages@debian.org>  Wed, 25 Jan 2017 21:43:14 +0100

joe (4.3-1) unstable; urgency=low

  * New upstream version.
    + Fixes character class ranges with UTF-8 locales, thanks to
      Matthew Gabeler-Lee, closes: #820255.
  * Actually apply our patches by reinstating the quilt series file,
    thanks to Adam Borowski, hopefully finally closes: #820992 etc.
  * Drop obsolete note about backticks from README.Debian, as that default
    key binding had long since changed to Esc+' instead of just `.
  * Drop obsolete note about -asis vs locale from README.Debian, everyone
    now simply expects the current behavior.
  * Added debcontrol syntax highlighting, thanks to Thomas Goirand,
    closes: #819578.

 -- Josip Rodin <joy-packages@debian.org>  Sun, 06 Nov 2016 13:30:43 +0100
