## joe 4.6

=== debian/changelog ===
joe (4.6-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Maintain in Package Salvage team
    Closes: #1089653
  * d/rules: Use short dh
  * debhelper compat 13
  * debian/menu: deleted since there are desktop files
  * Update maintainer scripts
  * Do not Build-Depends dh-autoreconf
  * Lintian-overrides: national-encoding
  * Standards-Version: 4.7.0 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)

  [ Thomas Goirand ]
  * Add debian/changelog highlighting
    Closes: #908584

 -- Andreas Tille <tille@debian.org>  Tue, 31 Dec 2024 09:40:52 +0100

joe (4.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "crash at encoding prompt":
    Add patch from upstream repo (closes: #1003098).

 -- gregor herrmann <gregoa@debian.org>  Tue, 06 Feb 2024 22:21:39 +0100

joe (4.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop Vcs fields, closes: #1031282.

 -- Bastian Germann <bage@debian.org>  Tue, 14 Feb 2023 23:52:07 +0100

joe (4.6-1) unstable; urgency=low

  * New upstream version, closes: #887435.
    + No longer mangles // in the external filter, closes: #877734.
    + Refreshed 002_mail_jsf_ugly.patch to apply against the non-.in file,
      the poor man's way.

 -- Josip Rodin <joy-packages@debian.org>  Sat, 17 Feb 2018 20:48:40 +0100
