=== debian/control ===
--- 
+++ 
@@ -1,15 +1,20 @@
 Source: joe
+Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
+Uploaders: Josip Rodin <joy-packages@debian.org>
 Section: editors
 Priority: optional
-Maintainer: Josip Rodin <joy-packages@debian.org>
-Build-Depends: libncurses-dev, dh-autoreconf
-Standards-Version: 3.9.1
+Build-Depends: debhelper-compat (=13),
+               libncurses-dev
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/salvage-team/joe
+Vcs-Git: https://salsa.debian.org/salvage-team/joe.git
 Homepage: http://joe-editor.sourceforge.net/
+Rules-Requires-Root: no
 
 Package: joe
 Architecture: any
-Depends: ${shlibs:Depends}
-Breaks: jupp (<< 3.1.18-2~)
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: user friendly full screen text editor
  Joe, the Joe's Own Editor, has the feel of most PC text editors: the key
  sequences are reminiscent of WordStar and Turbo C editors, but the feature
